/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef WINDOWSSTORETEST_H
#define WINDOWSSTORETEST_H
#include <QObject>
#include <QTemporaryFile>

#include <windows.h>
#include <wincrypt.h>

#include "certificatelist.h"

class WindowsStoreTest: public QObject
{
    Q_OBJECT

private:
    CertificateList validList;
    HCERTSTORE testStore;
    QTemporaryFile tmpFile;

    void dumpContents();

private Q_SLOTS:
    void initTestCase();
    void cleanupTestCase();
    void testInstRemove();
};

#endif // WINDOWSSTORETEST_H
